Delete an agent

Base URL
https://{kibana_url}
  • DELETE /api/agent_builder/agents/{id}
Auth

Delete an agent by ID. This action cannot be undone. To learn more about agents, refer to the agents documentation.

Required authorization

Privileges agentBuilder:manageAgents

Path parameters

id string required

The unique identifier of the agent to delete.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}